Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2708 closed defect (fixed)

【rtems-bsp shell script does not list the available BSPS】

Reported by: koreny Owned by: Chris Johns
Priority: normal Milestone: 4.11.2
Component: unspecified Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

It seems rtems-bsps does not work properly:
loadrun@debian:~/code/rtems/rtems/4.11.0-rc3/rtems-4.11.0-rc3$ sh rtems-bsps
find: paths must precede expression: 5
Usage: find [-H] [-L] [-P] [-Olevel] [-D help|tree|search|stat|rates|opt|exec] [path...] [expression]
RTEMS 4.11

Architectures: 0
BSP Count: 0

loadrun@debian:~/code/rtems/rtems/4.11.0-rc3/rtems-4.11.0-rc3$ uname -a
Linux debian 3.16.0-4-686-pae #1 SMP Debian 3.16.7-ckt25-1 (2016-03-06) i686 GNU/Linux

Change History (4)

comment:1 Changed on 05/14/16 at 15:48:44 by Joel Sherrill

Out of curiosity, does it work on the master? I recall having the same problem. Either it has been fixed and not committed or simply not committed to this branch.

comment:2 Changed on 05/15/16 at 23:02:25 by Chris Johns

Owner: set to Chris Johns
Status: newassigned

I broke this when doing some work on Windows. I need to fix it.

comment:3 Changed on 01/26/17 at 07:16:00 by Sebastian Huber

Milestone: 4.11.14.11.2

comment:4 Changed on 03/23/17 at 00:11:27 by Chris Johns

Resolution: fixed
Status: assignedclosed

This is fixed. See commit 2ea436a167683c3606edbaddbd2e44e79d79c7d0.

Note: See TracTickets for help on using tickets.